{% extends "hyperkitty/base.html" %}
{% load i18n %}
{% load hk_generic %}
{% load gravatar %}
{% load staticfiles %}


{% block title %}
{% trans 'User Profile' %} - {{ app_name|title }}
{% endblock %}

{% block content %}

<div class="row user-profile">
<div class="col-tn-12">

    <h1>{% trans "User profile" %} <small>{% trans "for" %} {{ user }}</small></h1>

    <div class="btn-group">
        <a href="#account" class="btn btn-default active" data-toggle="tab" id="account-btn">{% trans "Account" %}</a>
        <a href="#favorites" class="btn btn-default" data-toggle="tab" id="favorites-btn">{% trans "Favorites" %}</a>
        <a href="#views" class="btn btn-default" data-toggle="tab" id="views-btn">{% trans "Threads you have read" %}</a>
        <a href="#votes" class="btn btn-default" data-toggle="tab" id="votes-btn">{% trans "Votes" %}</a>
        <a href="#subscriptions" class="btn btn-default" data-toggle="tab" id="subscriptions-btn">{% trans "Subscriptions" %}</a>
    </div>

    <div class="tab-content">
        <div class="tab-pane active" id="account">
            <form method="post" action="{% url 'hk_user_profile' %}" class="row">
                {% csrf_token %}
                <div class="gravatar hidden-tn hidden-xs col-sm-4 col-sm-push-8 col-md-6 col-md-push-6 col-lg-7 col-lg-push-5">
                    <a href="{{ gravatar_url }}">{% gravatar user.email 150 %}</a>
                    <p><a href="{{ gravatar_url }}">{% trans "Edit on" %} {{ gravatar_shortname }}</a></p>
                </div>

                <div class="col-tn-12 col-sm-8 col-sm-pull-4 col-md-6 col-md-pull-6 col-lg-5 col-lg-pull-7">
                    <table class="table user-data">
                        <tbody>
                            <tr class="gravatar hidden-sm hidden-md hidden-lg">
                                <td><a href="{{ gravatar_url }}">{% gravatar user.email 60 %}</a></td>
                                <td><a href="{{ gravatar_url }}">{% trans "Edit on" %} {{ gravatar_shortname }}</a></td>
                            </tr>
                            <tr>
                                <th class="col-tn-6 col-sm-3">{% trans 'User name:' %}</th>
                                <td>
                                    <div class="ellipsis-overflow">{{ user.username}}</div>
                                </td>
                            </tr>
                            {{ form.as_table }}
                            <tr>
                                <th>{% trans 'Email:' %}</th>
                                <td>
                                    <div class="ellipsis-overflow">{{ user.email }}</div>
                                </td>
                            </tr>
                            <tr>
                                <th>{% trans 'Other emails:' %}</th>
                                <td>
                                    <div class="ellipsis-overflow">
                                        <ul class="list-unstyled">
                                        {% for address in other_addresses %}
                                            <li>{{ address }}</li>
                                        {% empty %}
                                            <li>{% trans "(no other email)" %}</li>
                                        {% endfor %}
                                        {% if postorius_installed %}
                                            <li>
                                                <i class="fa fa-link" aria-hidden="true"></i>
                                                <a href="{{ postorius_installed }}/../users/address_activation/">
                                                    {% trans "Link another address" %}
                                                </a>
                                            </li>
                                        {% endif %}
                                        </ul>
                                    </div>
                                </td>
                            </tr>
                            {% if use_mockups %}
                            <tr>
                                <th>{% trans 'Karma:' %}</th>
                                <td>{{ user_profile.karma }}</td>
                            </tr>
                            {% endif %}
                            <tr>
                                <th>{% trans 'Joined on:' %}</th>
                                <td>{{ user.date_joined|date:"N j Y, H:i" }}</td>
                            </tr>
                        </tbody>
                    </table>
                </div>

                <p class="buttons col-tn-12">
                    <button type="submit" class="submit btn btn-primary">{% trans "Update" %}</button>
                    {% trans "or" %} <a href="#" class="cancel" onclick="document.forms[0].reset(); return false;">{% trans "cancel" %}</a>
                </p>
            </form>
        </div> <!-- /tab pane, account info -->

        <div class="tab-pane" id="favorites">
            <img alt="{% trans 'Loading...' %}" class="ajaxloader" src="{% static 'hyperkitty/img/ajax-loader.gif' %}" />
            <div class="ajaxcontent" data-load-from="{% url 'hk_user_favorites' %}"></div>
        </div> <!-- /tab pane, favorites -->

        <div id="views" class="tab-pane">
            <img alt="{% trans 'Loading...' %}" class="ajaxloader" src="{% static 'hyperkitty/img/ajax-loader.gif' %}" />
            <div class="ajaxcontent" data-load-from="{% url 'hk_user_last_views' %}"></div>
        </div> <!-- /tab pane, threads you've read -->

        <div id="votes" class="tab-pane">
            <img alt="{% trans 'Loading...' %}" class="ajaxloader" src="{% static 'hyperkitty/img/ajax-loader.gif' %}" />
            <div class="ajaxcontent" data-load-from="{% url 'hk_user_votes' %}"></div>
        </div> <!-- /tab pane, threads you've voted on -->

        <div id="subscriptions" class="tab-pane">
            <img alt="{% trans 'Loading...' %}" class="ajaxloader" src="{% static 'hyperkitty/img/ajax-loader.gif' %}" />
            <div class="ajaxcontent" data-load-from="{% url 'hk_user_subscriptions' %}"></div>
        </div> <!-- /tab pane, list subscriptions -->

    </div>


</div>
</div>

{% endblock %}

{% block additionaljs %}

<script type="text/javascript">
    $(document).ready(function() {
        // Load the last views
        $("div.ajaxcontent").each(function() {
            update_user_profile_part($(this));
        });
        $('a[data-toggle="tab"]').on('shown.bs.tab', function (e) {
            $(e.target).addClass('active');
            $(e.target).siblings().removeClass('active');
        });
    });
</script>

{% endblock %}
